{
  "name": "coingecko-defi-copycat-vue",
  "version": "1.0.2",
  "private": true,
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/firmino.changani/coingecko-defi-copycat-vue.git"
  },
  "scripts": {
    "start": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:ci": "npm run build; cp -R .vercel ./dist/",
    "test:unit": "vue-cli-service test:unit",
    "test:e2e": "vue-cli-service test:e2e --headless",
    "lint": "vue-cli-service lint",
    "deploy:dev": "cd dist; vercel -t $VERCEL_TOKEN",
    "deploy:prod": "cd dist; vercel --prod -t $VERCEL_TOKEN",
    "docker:build": "docker build -t cg-app-test .",
    "prepare": "husky install"
  },
  "dependencies": {
    "axios": "^0.21.1",
    "core-js": "^3.6.5",
    "highcharts": "^9.2.2",
    "highcharts-vue": "^1.4.0",
    "vue": "^3.0.0",
    "vue-router": "^4.0.0-0",
    "vuex": "^4.0.0-0"
  },
  "devDependencies": {
    "@commitlint/cli": "^13.1.0",
    "@commitlint/config-conventional": "^13.1.0",
    "@types/jest": "^24.0.19",
    "@typescript-eslint/eslint-plugin": "^4.18.0",
    "@typescript-eslint/parser": "^4.18.0",
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-router": "~4.5.0",
    "@vue/cli-plugin-typescript": "~4.5.0",
    "@vue/cli-plugin-unit-jest": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "@vue/compiler-sfc": "^3.0.0",
    "@vue/eslint-config-prettier": "^6.0.0",
    "@vue/eslint-config-typescript": "^7.0.0",
    "@vue/test-utils": "^2.0.0-0",
    "eslint": "^6.7.2",
    "eslint-plugin-prettier": "^3.3.1",
    "eslint-plugin-vue": "^7.0.0",
    "husky": "^7.0.0",
    "node-sass": "^4.12.0",
    "prettier": "^2.2.1",
    "sass-loader": "^8.0.2",
    "semantic-release": "^17.4.7",
    "typescript": "~4.1.5",
    "vue-jest": "^5.0.0-0"
  },
  "optionalDependencies": {
    "@semantic-release/changelog": "^5.0.1",
    "@semantic-release/git": "^9.0.0",
    "@semantic-release/gitlab": "^6.2.2",
    "husky": "^7.0.2"
  }
}
